API ReferenceParticipants
Retrieve participants
GET
Retrieves a list of participants from the requested ecosystem.
Roles
admindts-provider
Analytics Events
ECOSYSTEM_PARTICIPANT_RETRIEVE_LIST_STARTECOSYSTEM_PARTICIPANT_RETRIEVE_LIST_SUCCESSECOSYSTEM_PARTICIPANT_RETRIEVE_LIST_FAIL
bearerAuthheader
AuthorizationBearer <token>ecosystemId*stringThe UUID of the ecosystem
Format
uuidlimit?numberRange size of returned list.
Range
1 <= value <= 1000Default
100cursor?stringStarting point for the list of entries.
Participants retrieved
application/json- response
data?array<>nextCursor?nextCursorStarting point for next cursor to use in a paginated list.
curl -X GET 'https://example.vii.au01.mattr.global/v1/ecosystems/87880d7e-a4d0-462e-8383-3f1e5e16865d/participants'{ "data": [ { "id": "a24e391a-c27f-4b6e-9805-1ee7e03f3c58", "ecosystemId": "87880d7e-a4d0-462e-8383-3f1e5e16865d", "name": "My Participant", "identifiers": { "web-semantic": "did:web:example.com", "compact-semantic": "did:web:example.com", "compact": "did:web:example.com", "mobile": [ { "certificatePem": "-----BEGIN CERTIFICATE-----\r\nMIIBwzCCAWigAwIBAgIKRGC+CqoTGJKkkTAKBggqhkjOPQQDAjAgMR4wCQYDVQQG\r\nEwJOWjARBgNVBAMTCk1BVFRSIElBQ0EwHhcNMjMwODA4MDAwOTIxWhcNMzMwODA1\r\nMDAwOTIxWjAgMR4wCQYDVQQGEwJOWjARBgNVBAMTCk1BVFRSIElBQ0EwWTATBgcq\r\nhkjOPQIBBggqhkjOPQMBBwNCAASRu69fzdgM4odkyPtRcZd3eGWCw4BB7StZNGRm\r\nuIlrraUyv9SWPHgUYjYmRB1g7ERzj/pOSAspk71Y+QA+j9nPo4GJMIGGMBIGA1Ud\r\nEwEB/wQIMAYBAf8CAQMwDgYDVR0PAQH/BAQDAgAGMB0GA1UdDgQWBBSONcHGh4If\r\nO1dYorRpsuFrs+f8SDAcBgNVHRIEFTATgRFpbmZvQG1hdHRyLmdsb2JhbDAjBgNV\r\nHR8EHDAaMBiiFoYUaHR0cHM6Ly9tYXR0ci5nbG9iYWwwCgYIKoZIzj0EAwIDSQAw\r\nRgIhAPKJIGDSvp7VxRBLCWWeghqi8UUeO+dZsC49TUZcDMNxAiEAoh+7dT+l+GzX\r\nk0J2SoGmPiagrbAuIYyTHwzZZuYr1W4=\r\n-----END CERTIFICATE-----\r\n", "status": "Active", "docTypes": [ "org.iso.18013.5.1" ] } ] }, "isIssuer": false, "isVerifier": false, "isIssuerConstrained": true, "isVerifierConstrained": true, "status": "Active", "country": "US", "stateOrProvince": "US-AL", "organizationAddress": "1234 Main St, City, State, 12345", "organizationPhoneNumber": "012-3456789" } ], "nextCursor": "Y3JlYXRlZEF0PTIwMjAtMDgtMjVUMDY6NDY6MDkuNTEwWiZpZD1hNjZmZmVhNS04NDhlLTQzOWQtODBhNC1kZGE1NWY1M2UzNmM"}How would you rate this page?